You must enable javascript in order to use the Slack API Documentation. You can do this in your browser settings.
Go to Slack

dnd_updated event

Do not Disturb settings changed for the current user

Compatibility: RTM Events API

Expected scopes:

{
    "type": "dnd_updated",
    "user": "U1234",
    "dnd_status": {
        "dnd_enabled": true,
        "next_dnd_start_ts": 1450387800,
        "next_dnd_end_ts": 1450423800,
        "snooze_enabled": true,
        "snooze_endtime": 1450373897
    }
}

The dnd_updated event is sent to the current user when their Do Not Disturb settings have changed.

This event is not available to bot user subscriptions in the Events API.

Events API compatibility

Subscribe to this event via the Events API.

Events of this type will be wrapped in metadata when sent via the Events API.